// Dark color mode variables
//
// Custom variables for the `[data-bs-theme="cu_light"]` theme. Use this as a starting point for your own custom color modes by creating a new theme-specific file like `_variables-cu_light.scss` and adding the variables you need.

//
// Global colors
//

// scss-docs-start sass-dark-mode-vars
// scss-docs-start theme-text-dark-variables
$primary-text-emphasis-culight:        tint-color($primary, 40%) !default;
$secondary-text-emphasis-culight:      tint-color($secondary, 40%) !default;
$success-text-emphasis-culight:        tint-color($success, 40%) !default;
$info-text-emphasis-culight:           tint-color($info, 40%) !default;
$warning-text-emphasis-culight:        tint-color($warning, 40%) !default;
$danger-text-emphasis-culight:         tint-color($danger, 40%) !default;
$light-text-emphasis-culight:          $gray-100 !default;
$dark-text-emphasis-culight:           $gray-300 !default;
// scss-docs-end theme-text-dark-variables

// scss-docs-start theme-bg-subtle-dark-variables
$primary-bg-subtle-culight:            shade-color($primary, 80%) !default;
$secondary-bg-subtle-culight:          shade-color($secondary, 80%) !default;
$success-bg-subtle-culight:            shade-color($success, 80%) !default;
$info-bg-subtle-culight:               shade-color($info, 80%) !default;
$warning-bg-subtle-culight:            shade-color($warning, 80%) !default;
$danger-bg-subtle-culight:             shade-color($danger, 80%) !default;
$light-bg-subtle-culight:              $gray-800 !default;
$dark-bg-subtle-culight:               mix($gray-800, $black) !default;
// scss-docs-end theme-bg-subtle-dark-variables

// scss-docs-start theme-border-subtle-dark-variables
$primary-border-subtle-culight:        shade-color($primary, 40%) !default;
$secondary-border-subtle-culight:      shade-color($secondary, 40%) !default;
$success-border-subtle-culight:        shade-color($success, 40%) !default;
$info-border-subtle-culight:           shade-color($info, 40%) !default;
$warning-border-subtle-culight:        shade-color($warning, 40%) !default;
$danger-border-subtle-culight:         shade-color($danger, 40%) !default;
$light-border-subtle-culight:          $gray-700 !default;
$dark-border-subtle-culight:           $gray-800 !default;
// scss-docs-end theme-border-subtle-dark-variables

$body-color-culight:                   $gray-300 !default;
$body-bg-culight:                      $gray-900 !default;
$body-secondary-color-culight:         rgba($body-color-culight, .75) !default;
$body-secondary-bg-culight:            $gray-800 !default;
$body-tertiary-color-culight:          rgba($body-color-culight, .5) !default;
$body-tertiary-bg-culight:             mix($gray-800, $gray-900, 50%) !default;
$body-emphasis-color-culight:          $white !default;
$border-color-culight:                 $gray-700 !default;
$border-color-translucent-culight:     rgba($white, .15) !default;
$headings-color-culight:               inherit !default;
$link-color-culight:                   tint-color($primary, 40%) !default;
$link-hover-color-culight:             shift-color($link-color-culight, -$link-shade-percentage) !default;
$code-color-culight:                   tint-color($code-color, 40%) !default;
$mark-color-culight:                   $body-color-culight !default;
$mark-bg-culight:                      $yellow-800 !default;


//
// Forms
//

$form-select-indicator-color-culight:  $body-color-dark !default;
$form-select-indicator-culight:        url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path fill='none' stroke='#{$form-select-indicator-color-culight}' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/></svg>") !default;

$form-switch-color-culight:            rgba($white, .25) !default;
$form-switch-bg-image-culight:         url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3' fill='#{$form-switch-color-culight}'/></svg>") !default;

// scss-docs-start form-validation-colors-dark
$form-valid-color-culight:             $green-300 !default;
$form-valid-border-color-culight:      $green-300 !default;
$form-invalid-color-culight:           $red-300 !default;
$form-invalid-border-color-culight:    $red-300 !default;
// scss-docs-end form-validation-colors-dark


//
// Accordion
//

$accordion-icon-color-culight:         $primary-text-emphasis-dark !default;
$accordion-icon-active-color-culight:  $primary-text-emphasis-dark !default;

$accordion-button-icon-culight:         url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$accordion-icon-color-culight}'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !default;
$accordion-button-active-icon-culight:  url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$accordion-icon-active-color-culight}'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !default;
// scss-docs-end sass-dark-mode-vars
